View Issue Details

IDProjectCategoryView StatusLast Update
0001361Main CAcert WebsiteGPG/PGPpublic2015-03-03 21:19
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs reviewResolutionopen 
Product Version2015 Q1 
Target Version2015 Q1 
Summary0001361: Remove dead code from gpg.php file
DescriptionRemove dead code in file /www/gpg.php lines 50-60
TagsNo tags attached.
Reviewed byBenBE
Test InstructionsCreate PGP key and check everything still works as usual.

Activities

INOPIAE

2015-01-20 20:30

updater   ~0005245

I pushed the fix to https://github.com/INOPIAE/CAcert/commit/315ff4a4c39366af339d2a5c27ce20c6704432e4

Eva

2015-02-03 20:22

updater   ~0005300

Please add test-instructions

Eva

2015-03-03 21:10

updater   ~0005343

- created a PGP key
- added it as new PGP key for signature
- checked signature to be from the testserver
- changed comment on the new PGP key
- changed comment on an old PGP key
- did this a second time (renew of signature)

All this worked as normal
=> ok

felixd

2015-03-03 21:19

updater   ~0005350

I created a PGP key signature, I verified the resulting signature, I changed the comment on a PGP key.

=> Test PASSED

Issue History

Date Modified Username Field Change
2015-01-20 20:19 INOPIAE New Issue
2015-01-20 20:29 INOPIAE Assigned To => INOPIAE
2015-01-20 20:30 INOPIAE Note Added: 0005245
2015-01-20 20:30 INOPIAE Assigned To INOPIAE => BenBE
2015-01-20 20:30 INOPIAE Status new => fix available
2015-01-21 09:07 BenBE Reviewed by => BenBE
2015-01-21 09:07 BenBE Status fix available => needs review & testing
2015-02-03 20:22 Eva Note Added: 0005300
2015-02-24 20:07 BenBE Test Instructions => Create PGP key and check everything still works as usual.
2015-03-03 21:10 Eva Note Added: 0005343
2015-03-03 21:19 felixd Note Added: 0005350
2015-03-03 21:19 felixd Status needs review & testing => needs review